﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Musiclibrary {
    /// <summary>
    /// Interaktionslogik für EditMetadata.xaml
    /// </summary>
    public partial class EditMetadata : Popup {
        protected Song Song;

        public EditMetadata(Song song) {
            InitializeComponent();

            this.Song = song;

            this.Title.Text = song.Title;
            this.Artist.Text = song.Artist;
            this.Album.Text = song.Album;
            this.Genre.Text = song.Genre;
            this.Year.Text = song.Year.ToString();
        }

        private void OK_Click(object sender, RoutedEventArgs e) {

            int year = 0;
            if (this.Year.Text != "" && !int.TryParse(this.Year.Text, out year)) {
                MessageBox.Show("You have to specify a valid year!");
                return;
            }

            this.Song.Title = this.Title.Text;
            this.Song.Artist = this.Artist.Text;
            this.Song.Album = this.Album.Text;
            this.Song.Genre = this.Genre.Text;

            if (year > 0)
                this.Song.Year = year;

            try {
                this.Song.UpdateMetadata();
            }
            catch (Exception ex) {
                MessageBox.Show("Error while saving: " + ex.Message);
                return;
            }

            App.This.Library.SubmitChanges();
            MainWindow.Instance.LoadSongs();
            this.Adorner.Hide();
        }
    }
}
