﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.WindowsAPICodePack.Taskbar;
namespace Musiclibrary
{
	/// <summary>
	/// A popup shown when an import is finished and displaying
    /// the files that could not be imported.
	/// </summary>
	public partial class ImportFinished : Popup
	{
        public ImportFinished(ImportResult result)
		{
			this.InitializeComponent();

            //Hide not required list boxes
            if (result.AlreadyExists.Count == 0)
                this.AlreadyExistsPanel.Visibility = Visibility.Collapsed;
            if (result.Failed.Count == 0)
                this.FailedPanel.Visibility = Visibility.Collapsed;

            this.AlreadyExists.ItemsSource = result.AlreadyExists;
            this.Failed.ItemsSource = result.Failed; 
		}

        private void OK_Click(object sender, RoutedEventArgs e)
        {
            this.Adorner.Hide();
        }
	}
}