﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Musiclibrary {
    /// <summary>
    /// A welcome popup where the user can choose if he wants to create a new library 
    /// or open an existing one.
    /// </summary>
    public partial class Welcome : Popup {
        public Welcome()
        {
            InitializeComponent();
        }

        private void NewLibrary_Click(object sender, RoutedEventArgs e) {
            try {
                MainWindow.Instance.CreateLibrary();
            } catch (Exception ex) {
                Extensions.ShowErrorBox("The library could not be created: " + ex.Message);
            }

            this.Adorner.ShowNextDialog(new Import(), true);
        }

        private void OpenLibrary_Click(object sender, RoutedEventArgs e) {
            if (MainWindow.Instance.OpenLibrary())
                this.Adorner.Hide();
        }
    }
}
