﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.WindowsAPICodePack.Taskbar;
namespace Musiclibrary
{
	/// <summary>
	/// A general popup showing the progress of a Worker.
	/// </summary>
	public partial class Working : Popup
	{
        protected Worker Worker { get; set; }

        public Working(Worker worker, string title, string subTitle)
		{
			this.InitializeComponent();

            this.Worker = worker;
            this.Title.Text = title;
            this.SubTitle.Text = subTitle;

            worker.ProgressChanged += new EventHandler<EventArgs>((sender, e) =>
            {
                if (worker.Progress.HasValue)
                {
                    this.Progress.IsIndeterminate = false;
                    this.Progress.Value = (int)(worker.Progress * 100);
                    Win7Tools.SetProgressState(TaskbarProgressBarState.Normal);
                    Win7Tools.SetProgress(worker.Progress.Value);
                }
                else
                {
                    this.Progress.IsIndeterminate = true;
                    Win7Tools.SetProgressState(TaskbarProgressBarState.Indeterminate);
                }
            });

            worker.CurrentStateChanged += new EventHandler<EventArgs>((sender, e) =>
            {
                this.Status.Text = worker.CurrentState;
            });

            worker.Cancelled += new EventHandler<EventArgs>((sender, e) =>
            {
                Win7Tools.SetProgressState(TaskbarProgressBarState.NoProgress);
            });

            worker.Done += new EventHandler<WorkerCompletedEventArgs>((sender, e) =>
            {
                Win7Tools.SetProgressState(TaskbarProgressBarState.NoProgress);
            });
		}

        private void Cancel_Click(object sender, RoutedEventArgs e)
        {
            this.Worker.Cancel();
            this.Status.Text = "Cancelling...";
        }
	}
}