﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Musiclibrary
{
    /// <summary>
    /// Represents a music library containing songs and playlists.
    /// This interface is necessary because there are two types of libraries:
    /// Local libraries (class Library) and remote libraries (class RemoteLibrary)
    /// </summary>
    public interface ILibrary
    {
        /// <summary>
        /// Under this name the library is listed in the ListBox on the left, 
        /// and this name appears when others search for shared libraries.
        /// </summary>
        string Name { get; }

        /// <summary>
        /// Returns all songs that are in the library.
        /// </summary>
        IEnumerable<ISong> Songs { get; }

        /// <summary>
        /// Returns all playlists from the library.
        /// </summary>
        IEnumerable<IPlaylist> Playlists { get; }
    }
}
