﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Musiclibrary {
    /// <summary>
    /// Represents a local or remote song.
    /// </summary>
    public interface ISong {
        string Title { get; }
        string Artist { get; }
        string Album { get; }
        string Genre { get; }
        int? Year { get; }

        /// <summary>
        /// Loads the song if necessary (this is the case if the song comes from a remote library)
        /// and then returns the path to the song file.
        /// </summary>
        string Load();
    }
}
