﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace Musiclibrary {
    /// <summary>
    /// A playlist containing all songs of the current library.
    /// </summary>
    public class AllSongs : IPlaylist {
        public AllSongs() {
            this.Library = App.This.Library;
        }

        #region IPlaylist Member

        public ILibrary Library { get; set; }

        public string Name {
            get { return "All songs"; }
        }

        public IEnumerable<ISong> Songs {
            get { return this.Library.Songs.Cast<ISong>(); }
        }

        public bool IsEditable {
            get { return false; }
        }

        public bool ItemsEditable {
            get { return false; }
        }

        public void Delete() {
            throw new NotSupportedException();
        }

        public void AddSong(ISong song) {
            throw new NotSupportedException();
        }

        public void DeleteSong(ISong song) {
            throw new NotSupportedException();
        }

        #endregion
    }
}
