﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.Net.Sockets;

namespace Musiclibrary {
    /// <summary>
    /// Represents a remote library that has been discovered, but which might not yet be connected.
    /// </summary>
    public class RemoteLibraryInfo {
        public string Name { get; set; }
        public EndPoint EndPoint  { get; set; }
        public bool IsConnected { get { return App.This.RemoteLibraries.ContainsKey(this.EndPoint); } }

        /// <summary>
        /// Connect to the remote library!
        /// </summary>
        public RemoteLibrary Connect() {
            return new RemoteLibrary(this.EndPoint) { Name = this.Name };
        }
    }
}
