﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Musiclibrary {
    /// <summary>
    /// Represents a playlist from a remote library.
    /// </summary>
    public class RemotePlaylist : IPlaylist {
        public RemotePlaylist(RemoteLibrary library) {
            this.RemoteLibrary = library;
        }

        protected RemoteLibrary RemoteLibrary { get; set; }

        public int Id { get; set; }

        #region IPlaylist Member

        public string Name { get; set; }

        public ILibrary Library { get { return this.RemoteLibrary; } }

        public IEnumerable<ISong> Songs {
            get {
                return this.RemoteLibrary.GetPlaylistSongs(this.Id);
            }
        }

        public bool IsEditable {
            get { return false; }
        }

        public bool ItemsEditable {
            get { return false; }
        }

        public void Delete() {
            throw new NotSupportedException();
        }

        public void AddSong(ISong song) {
            throw new NotSupportedException();
        }

        public void DeleteSong(ISong song) {
            throw new NotSupportedException();
        }

        #endregion
    }
}
