﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Musiclibrary {
    /// <summary>
    /// Represents a song from a remote library.
    /// </summary>
    public class RemoteSong : ISong {
        public RemoteSong(RemoteLibrary library) {
            this.Library = library;
        }

        public RemoteLibrary Library { get; set; }

        public int Id { get; set; }

        #region ISong Member

        public string Title { get; set; }

        public string Artist { get; set; }

        public string Album { get; set; }

        public string Genre { get; set; }

        public int? Year { get; set; }

        public string Load() {
            return this.Library.LoadSong(this.Id);
        }

        #endregion
    }
}
